Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.buttons
Class ButtonMouseDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.buttons.ButtonMouseDriver

All Implemented Interfaces:
  ButtonDriver, LightDriver

public class ButtonMouseDriver
extends LightSupportiveDriver
implements ButtonDriver

Driver to push a button by mouse click.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`ButtonMouseDriver()`

Method Summary
`void` | `press(ComponentOperator oper)` Presses a button.
`void` | `push(ComponentOperator oper)` Pushes a button.
`void` | `release(ComponentOperator oper)` Releases a button.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonMouseDriver

    public ButtonMouseDriver()

Method Detail

### press

    public void press(ComponentOperator oper)

  Description copied from interface: `ButtonDriver`
  Presses a button.
  Specified by:
    `press` in interface `ButtonDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ButtonDriver`
  Parameters:
    `oper` - Button operator.

### release

    public void release(ComponentOperator oper)

  Description copied from interface: `ButtonDriver`
  Releases a button.
  Specified by:
    `release` in interface `ButtonDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ButtonDriver`
  Parameters:
    `oper` - Button operator.

### push

    public void push(ComponentOperator oper)

  Description copied from interface: `ButtonDriver`
  Pushes a button.
  Specified by:
    `push` in interface `ButtonDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ButtonDriver`
  Parameters:
    `oper` - Button operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD